# Neulang
Coding for humans.

## Description
Neulang is a natural language layer embedded in Python. It takes scripts containing pseudocode in [Org](http://orgmode.org/) format and runs them.

## Why?
As the easiest programming language for anyone to learn, Python is awesome.
But there's still that curve that continues to shut many out of the coding world.
People shouldn't have to learn another language to code, esp in this age of smart devices, IoT and AI.
Let's bring coding to the people, not the people to coding.
Oh, and I have a lot of pseudocode in Org format that I'd like to make executable.

## Installing
* `pip install git+https://gitlab.com/skeledrew/neulang.git`

## Features
* Command line mode
  * `neu [options] -c "command"`
* Interactive mode
  * `neu [options]`
  * Exit with `air_exit` or `air_quit`
* Importable as module
  * `from neulang import Neulang`
  * `n = Neulang()`
  * `script = "* air_say 'hello world'"`
  * `n.loads(script)`
  * `n.eval()`
* Run script files
  * `neu [options] /path/to/script.neu`
* Run a single node in a script file
  * `neu [options] script.neu -o "s/org/path/as/regex/or/index"`

## To Do
* Implement remaining core Python features in AST
* Complete CLI and REPL functionality
* Implement fuzzy search and learning resolvers
